Mailinglist Archive: opensuse-updates (174 mails)

< Previous Next >
openSUSE-SU-2020:1599-1: critical: Security update for dpdk
openSUSE Security Update: Security update for dpdk
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1599-1
Rating: critical
References: #1176590
Cross-References: CVE-2020-14374 CVE-2020-14375 CVE-2020-14376
CVE-2020-14377 CVE-2020-14378
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

This update for dpdk fixes the following issues:

- dpdk was updated to 19.11.4
-
CVE-2020-14374,CVE-2020-14375,CVE-2020-14376,CVE-2020-14377,CVE-2020-14378:
Fixed multiple issues where a malicious guest could harm the host
using vhost crypto, including executing code in host (VM Escape),
reading host application memory space to guest and causing partially
denial of service in the host(bsc#1176590).
- For a list of fixes check:
https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#id8
denial of service in the host (bsc#1176590).

This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1599=1



Package List:

- openSUSE Leap 15.2 (x86_64):

dpdk-19.11.4-lp152.2.8.1
dpdk-debuginfo-19.11.4-lp152.2.8.1
dpdk-debugsource-19.11.4-lp152.2.8.1
dpdk-devel-19.11.4-lp152.2.8.1
dpdk-devel-debuginfo-19.11.4-lp152.2.8.1
dpdk-examples-19.11.4-lp152.2.8.1
dpdk-examples-debuginfo-19.11.4-lp152.2.8.1
dpdk-kmp-default-19.11.4_k5.3.18_lp152.41-lp152.2.8.1
dpdk-kmp-default-debuginfo-19.11.4_k5.3.18_lp152.41-lp152.2.8.1
dpdk-kmp-preempt-19.11.4_k5.3.18_lp152.41-lp152.2.8.1
dpdk-kmp-preempt-debuginfo-19.11.4_k5.3.18_lp152.41-lp152.2.8.1
dpdk-tools-19.11.4-lp152.2.8.1
dpdk-tools-debuginfo-19.11.4-lp152.2.8.1
libdpdk-20_0-19.11.4-lp152.2.8.1
libdpdk-20_0-debuginfo-19.11.4-lp152.2.8.1

- openSUSE Leap 15.2 (noarch):

dpdk-doc-19.11.4-lp152.2.8.1


References:

https://www.suse.com/security/cve/CVE-2020-14374.html
https://www.suse.com/security/cve/CVE-2020-14375.html
https://www.suse.com/security/cve/CVE-2020-14376.html
https://www.suse.com/security/cve/CVE-2020-14377.html
https://www.suse.com/security/cve/CVE-2020-14378.html
https://bugzilla.suse.com/1176590


< Previous Next >
This Thread
  • No further messages